I believe Sidnei is working on creating lxml windows releases.
Hopefully we'll have a Windows lxml 2.2.8 release in the next week or
so. http://permalink.gmane.org/gmane.comp.python.lxml.devel/5635


On 10 September 2010 15:01, Martin Aspeli <optilude+li...@gmail.com> wrote:
> On 10 September 2010 14:26, Hanno Schlichting <ha...@hannosch.eu> wrote:
>> On Fri, Sep 10, 2010 at 3:17 PM, Martin Aspeli <optilude+li...@gmail.com>
>> wrote:
>> > If we *are* going to use a convenience pin, then surely the ability to
>> > install on the world's most-used operating system has to be part of the
>> > convenience. ;-)
>> That's a lame argument. Windows is almost irrelevant for the market we
>> are in - web server deployments.
> Erm, you think so? Maybe we should do a poll on how many Zope / Plone
> developers use Windows on the desktop. Or look at how many people download
> the Windows installer. You need a dev environment, not just deployment, and
> a lot of people are on Windows.
>> Our own community is barely able to
>> keep up providing the most basic Windows support and ensuring tests
>> pass. As long as we don't have more community volunteers actually
>> caring about Windows support, I won't let it be an argument to
>> penalize the rest of the community.
> When the software breaks, people go elsewhere. I didn't say Windows support
> was easy, or any fun. But we have to decide: do we care about people who
> have made (or are forced to make) different technology choices than us, or
> do we tell them their platform is unsupported?
>> > If we don't use it, we shouldn't pin it, IMHO. We found this problem
>> > because
>> > the Zope KGS was overriding another KGS where we had pinned lxml to
>> > 2.2.4. I
>> > don't think Zope has any business getting in the way of that.
>> The KGS is a base KGS you can use. Nobody forces you to stick to it.
>> In fact for every single deployment of your own you will need to
>> extend it. I don't see a problem with the few people using Windows and
>> not installing compilers on their platforms to change one version pin.
>  I think you're missing the point:
>  - We shouldn't pin software we don't use. It may be well intentioned, but
> if we don't depend on it, we shouldn't take responsibility for it, or give
> the perception that we take that responsibility.
>  - If we do depend on it, we need to make sure it works on the platforms we
> support. QA isn't something you do only when it's easy to do in your local
> dev sandbox.
>  - If we suddenly no longer support Windows, we better have the guts to come
> out and say it, stop producing Windows eggs for Zope 2 stuff and explicitly
> state that people cannot and should not use Windows for Zope development. I
> hope that's not the case, though. ;)
> Martin
> _______________________________________________
> Zope-Dev maillist  -  zope-...@zope.org
> https://mail.zope.org/mailman/listinfo/zope-dev
> **  No cross posts or HTML encoding!  **
> (Related lists -
>  https://mail.zope.org/mailman/listinfo/zope-announce
>  https://mail.zope.org/mailman/listinfo/zope )
Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to